Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Javah.ClassArgument

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.Javah.ClassArgument

Enclosing class:
  Javah

    public class Javah.ClassArgument

extends java.lang.Object

A class corresponding the the nested "class" element. It contains a "name" attribute.

Constructor Summary
`Javah.ClassArgument()` Constructor for ClassArgument.

Method Summary
`java.lang.String` | `getName()` Get the name attribute.
`void` | `setName(java.lang.String name)` Set the name attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javah.ClassArgument

    public Javah.ClassArgument()

  Constructor for ClassArgument.

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name attribute.

  Parameters:
    `name` - the name attribute.

### getName

    public java.lang.String getName()

  Get the name attribute.

  Returns:
    the name attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD